org.jfree.ui.action

## Class ActionConcentrator

- java.lang.Object
- - org.jfree.ui.action.ActionConcentrator

-     public class ActionConcentrator
      extends java.lang.Object

  This class is used to collect actions to be enabled or disabled by a sinle call.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionConcentrator()` DefaultConstructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAction(javax.swing.Action a)` Adds the action to this concentrator.
    `boolean` | `isEnabled()` Returns, whether all actions are disabled.
    `void` | `removeAction(javax.swing.Action a)` Removes the action from this concentrator.
    `void` | `setEnabled(boolean b)` Defines the state for all actions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionConcentrator

          public ActionConcentrator()

      DefaultConstructor.

  - ### Method Detail

    - #### addAction

          public void addAction(javax.swing.Action a)

      Adds the action to this concentrator.
      Parameters:
        `a` - the action to be added.

    - #### removeAction

          public void removeAction(javax.swing.Action a)

      Removes the action from this concentrator.
      Parameters:
        `a` - the action to be removed.

    - #### setEnabled

          public void setEnabled(boolean b)

      Defines the state for all actions.
      Parameters:
        `b` - the new state for all actions.

    - #### isEnabled

          public boolean isEnabled()

      Returns, whether all actions are disabled. If one action is enabled, then this method will return true.
      Returns:
        true, if at least one action is enabled, false otherwise.